Mailinglist Archive: opensuse-packaging (284 mails)

< Previous Next >
Re: [opensuse-packaging] problem with branched project
Marcus Meissner wrote:
On Wed, Feb 02, 2011 at 06:50:13PM +0100, Petr Cerny wrote:
Hi,

I have a problem with branched package: the main package has been updated, so I did run "osc pull" to fix it. Apparently it has been "fixed" indeed when I now try to commit changes, I'm getting the following message:

openssh-5.7p1.dif mentioned in spec file does not exist.
ERROR: source_validator failed:
None

When I run "osc diff" on the package it doesn't show all changes, just some - it seems to compare wrong versions of .spec files, because "osc diff openssh.spec" shows correct diferences.

Have you encountered something similar? Am I forgetting something or is it a known bug?

and after running just "osc up"?

Hmm... doesn't seem to help either:

$ osc co
The link in this package is currently broken. Checking
out the last working version instead; please use 'osc pull'
to repair the link.
At revision f9cb7e809ad4f4a6845dcdf43ea2b892

$ osc pull
Please fix the conflicts (files marked with 'C' above),
run 'osc resolved ...', and commit the changes
to update the link information.


$ osc up
skipping 'openssh.spec' (this is due to conflicts)
At revision f9cb7e809ad4f4a6845dcdf43ea2b892.

$ osc resolved *
Resolved conflicted state of ...

$ osc ci
openssh-5.7p1.dif mentioned in spec file does not exist.
ERROR: source_validator failed:
None

Petr
--
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-packaging+help@xxxxxxxxxxxx

< Previous Next >